Name:		mythes-fr
Version:	2.3
Release:	%mkrel 4
Summary:	French thesaurus
License:	LGPLv2+
Group:		Text tools
URL:		http://www.dicollecte.org/home.php?prj=fr
Source:		http://www.dicollecte.org/download/fr/thesaurus-v%{version}.zip
BuildArch:	noarch

Requires:	mythes
Requires:	locales-fr

%description
French thesaurus.

%prep
%setup -q -c

%build
for i in README_thes_fr.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p %{buildroot}%{_datadir}/mythes
cp -p thes_fr.dat %{buildroot}%{_datadir}/mythes/th_fr_FR_v2.dat
cp -p thes_fr.idx %{buildroot}%{_datadir}/mythes/th_fr_FR_v2.idx

%files
%doc README_thes_fr.txt
%{_datadir}/mythes/*


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 2.3-4.mga6
+ Revision: 940492
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3-3.mga5
+ Revision: 750631
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3-2.mga5
+ Revision: 682741
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 daviddavid <daviddavid> 2.3-1.mga5
+ Revision: 666612
- new version: 2.3

* Sat Oct 19 2013 umeabot <umeabot> 2.2.2-5.mga4
+ Revision: 522886
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 2.2.2-4.mga3
+ Revision: 406104
- requires locales-mythes-fr (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 2.2.2-3.mga3
+ Revision: 360598
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 12 2011 dmorgan <dmorgan> 2.2.2-2.mga1
+ Revision: 68434
- imported package mythes-fr


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 17 2010 Caolan McNamara <caolanm@redhat.com> - 2.2.2-1
- latest version

* Sun Apr 04 2010 Caolan McNamara <caolanm@redhat.com> - 2.2-2
- mythes now owns /usr/share/mythes

* Thu Oct 22 2009 Caolan McNamara <caolanm@redhat.com> - 2.2-1
- latest version

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Caolan McNamara <caolanm@redhat.com> - 2.1-4
- tidy spec

* Sat May 23 2009 Caolan McNamara <caolanm@redhat.com> - 2.1-3
- update to new location

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Caolan McNamara <caolanm@redhat.com> - 2.1-1
- initial version
